LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
messages.hh File Reference

Message IO functionality. More...

Go to the source code of this file.

## Enumerations
enum | OfxMsgType { DEBUG, DEBUG1, DEBUG2, DEBUG3, DEBUG4, DEBUG5, STATUS = 10, INFO, WARNING, ERROR, PARSER, DEBUG, DEBUG1, DEBUG2, DEBUG3, DEBUG4, DEBUG5, STATUS = 10, INFO, WARNING, ERROR, PARSER, DEBUG, DEBUG1, DEBUG2, DEBUG3, DEBUG4, DEBUG5, STATUS = 10, INFO, WARNING, ERROR, PARSER }
## Functions
int | message_out (OfxMsgType type, const string message)
| Message output function.

## Detailed Description

Message IO functionality.

Definition in file lib/messages.hh.

## Enumeration Type Documentation

enum OfxMsgType

The OfxMsgType enum describe's the type of message being sent, so the application/user/library can decide if it will be printed to stdout

Enumerator:

  DEBUG | General debug messages
  DEBUG1 | Debug level 1
  DEBUG2 | Debug level 2
  DEBUG3 | Debug level 3
  DEBUG4 | Debug level 4
  DEBUG5 | Debug level 5
  STATUS | For major processing event (End of parsing, etc.)
  INFO | For minor processing event
  WARNING | Warning message
  ERROR | Error message
  PARSER | Parser events
  DEBUG | General debug messages
  DEBUG1 | Debug level 1
  DEBUG2 | Debug level 2
  DEBUG3 | Debug level 3
  DEBUG4 | Debug level 4
  DEBUG5 | Debug level 5
  STATUS | For major processing event (End of parsing, etc.)
  INFO | For minor processing event
  WARNING | Warning message
  ERROR | Error message
  PARSER | Parser events
  DEBUG | General debug messages
  DEBUG1 | Debug level 1
  DEBUG2 | Debug level 2
  DEBUG3 | Debug level 3
  DEBUG4 | Debug level 4
  DEBUG5 | Debug level 5
  STATUS | For major processing event (End of parsing, etc.)
  INFO | For minor processing event
  WARNING | Warning message
  ERROR | Error message
  PARSER | Parser events

Definition at line 23 of file lib/messages.hh.

## Function Documentation

int message_out | ( | OfxMsgType | error_type,
|  | const string | message
| ) |  |

Message output function.

Prints a message to stdout, if the corresponding message OfxMsgType given in the parameters is enabled

Definition at line 60 of file lib/messages.cpp.